interface eth0
{
	AdvSendAdvert on;
	
# AdvManagedFlag off disables dhcpv6 client machines from getting an IP via dhcpv6. 
# AdvOtherConfigFlag off disables other information that could be derived via dhcpv6
	
	AdvManagedFlag on;
    	AdvOtherConfigFlag on;
    
# This may be needed on some interfaces which are not active when
# radvd starts, but become available later on; see man page for details.

	# IgnoreIfMissing on;

#
# These settings cause advertisements to be sent every 3-10 seconds.  This
# range is good for 6to4 with a dynamic IPv4 address, but can be greatly
# increased when not using 6to4 prefixes.
#

	MinRtrAdvInterval 3;
	MaxRtrAdvInterval 10;

#
# You can use AdvDefaultPreference setting to advertise the preference of
# the router for the purposes of default router determination.
# NOTE: This feature is still being specified and is not widely supported!
#
	AdvDefaultPreference low;

#
# Disable Mobile IPv6 support
#
	AdvHomeAgentFlag off;

#
# example of a standard prefix
#
	prefix 2001:0908:0706::/64
	{
		AdvOnLink on;

# AdvAutonomous on enables clients to autoconf.	
    		
    		AdvAutonomous off;

# When set, indicates that the address of interface is sent instead of network prefix, as is required 
# by Mobile IPv6. When set, minimum limits specified by Mobile IPv6 are used for MinRtrAdvInterval and MaxRtrAdvInterval. 

		AdvRouterAddr off;
	};
};
